import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { Song } from './song.entity';
import { Album } from '../album/album.entity';
import { SongController } from './song.controller';
import { SongService } from './song.service';

@Module({
  imports: [TypeOrmModule.forFeature([Song]),TypeOrmModule.forFeature([Album])],
  controllers: [SongController],
  providers: [SongService],
  exports: [TypeOrmModule]
})
export class SongModule {}
